// JUMA-PA100 EEPROM save structures
// Juha Niinikoski, OH2NLT 14.07.2008

struct defval
	{
	int rf_gain[11];				// RF Gain / Band
	int band;						// Selected band
	int bsel_mode;					// Auto band select mode, 0 = F-sense, 1 = TRX2 serial, 2 = FT817 voltage 
	int contrast;					// LCD display contrast, pwm4
	int back_light;					// LCD back light, pwm3 
	int serial_mode;				// Serial interface operating mode
	int br;							// Baud rate index
	int swr_limit;					// SWR alarm limit
	int Temp_Units;					// Temperature Units, 1 = C, 0 = F
	int Fan_Control;				// Fan Speed Control, 0 = Normal, 1 = Low, 2 = Medium, 3 = High
	int temp_limit;					// Temperature alarm limit
	int fan_start;					// Cooling fan start temp
	int pa_state;					// Amplifier state, 0 = Standby, 1 = Operate
	int auto_band;					// Band select type, 0 = Manual, 1 = Auto
	int Band_Units;					// 0 = MHz, 1 = Metres
	unsigned int d_csum;			// Checksum
	};

// System calibration values

struct calval
	{
	long id_mult;					// Drain current meter calibration
	long batt_mult;					// Battery voltage meter calibration
//	long s_mtr_mult;				// S-meter calibration
	long rev_pwr_mult;				// Reverse power meter calibration
	long fwd_pwr_mult;				// Forward power meter calibration
	int	beep_len;					// Tone marker length(ms)
	int q_timer;					// Band query timer (ms) Changed from unsigned to signed int - 5B4AIY
	int samples;					// Power measurement averaging samples
	int alarm_flags;				// Used to enable/disable alarms
	int overvoltage_trip;			// Over-voltage trip (Nominally 2762 = 14.5V)
	int undervoltage_trip;			// Under-voltage trip (Nominally 2076 = 11.0V)
	unsigned int c_csum;			// Checksum
	};

